package com.yizhi.message.application.vo.domain;

import com.baomidou.mybatisplus.activerecord.Model;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@Data
@Api(tags = "MessageVisibleRangeVo", description = "")
public class MessageVisibleRangeVo extends Model<MessageVisibleRangeVo> {

    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "消息id")
    private Long messageId;

    @ApiModelProperty(value = "类型(1、部门；2、用户)")
    private Integer type;

    @ApiModelProperty(value = "可能是部门id 也可能是用户id")
    private Long relationId;

    @ApiModelProperty(value = "是否删除(0:否,1:是)")
    private Integer deleted;

    @ApiModelProperty(value = "创建人")
    private Long createById;

    @ApiModelProperty(value = "创建人姓名")
    private String createByName;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改人id")
    private Long updateById;

    @ApiModelProperty(value = "修改人账号")
    private String updateByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
