package com.yizhi.message.application.controller.remote;


import com.yizhi.message.application.service.MessageRemindService;
import com.yizhi.message.application.vo.MessageRemindVo;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 前端控制器
 * </p>
 *
 * @author hutao123
 * @since 2019-09-09
 */
@RestController
@Api(tags = "待发消息接口，后端内部调用接口，不给前端用")
@RequestMapping("/remote/messageRemind")
public class RemoteMessageRemindComtroller {

    @Autowired
    private MessageRemindService messageRemindService;
    private Logger logger = LoggerFactory.getLogger(RemoteMessageRemindComtroller.class);


    @PostMapping("/insert")
    @ApiOperation(value = "保存待发消息(提醒)", response = String.class)
    public Integer insert(@ApiParam("messageRemindVo") @RequestBody MessageRemindVo messageRemindVo) {
        return messageRemindService.insertMessageRemind(messageRemindVo);
    }

}

