package com.yizhi.message.application.enums;

import org.springframework.stereotype.Component;

/**
 * 应用场景或者是活动名称的枚举类
 */

public enum RelationType {

	 ZDY(0,"自定义消息"),
	 XX(1,"学习计划"),
	 KS(2,"考试"),
	 DY(3,"调研"),
	 TP(4,"投票"),
	 BM(5,"报名"),
	 ZY(6,"作业"),
	 QD(7,"签到"),
	 XM(8,"项目"),
	 ZB(9,"直播"),
	 JF(10,"积分"),
	KC(11,"课程");

	private Integer key;

	private String name;

	private RelationType(Integer key, String name){
		this.key = key;
		this.name = name;
	}

	public Integer getKey() {
		return key;
	}
	
	public String getName() {
		return name;
	}

}
